package com.gingersoft.gsa.cloud.table.mvp.model.bean.request;

import com.gingersoft.gsa.cloud.base.common.bean.OrderBean;

import java.util.List;
import java.util.Map;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-01-06
 * 修订历史：2020-01-06
 * 描述：
 */

public class AddOrderRequest {

    private long orderId;
    private int tableId;
    /**賬單小數*/
    private Double rounding;
    /**整單折扣ID*/
    private Long discountId;
    private Map<String, List<OrderBean.OrderDetailsBean>> maps;

    public long getOrderId() {
        return orderId;
    }

    public void setOrderId(long orderId) {
        this.orderId = orderId;
    }

    public int getTableId() {
        return tableId;
    }

    public void setTableId(int tableId) {
        this.tableId = tableId;
    }

    public Double getRounding() {
        return rounding;
    }

    public void setRounding(Double rounding) {
        this.rounding = rounding;
    }

    public Long getDiscountId() {
        return discountId;
    }

    public void setDiscountId(Long discountId) {
        this.discountId = discountId;
    }

    public Map<String, List<OrderBean.OrderDetailsBean>> getMaps() {
        return maps;
    }

    public void setMaps(Map<String, List<OrderBean.OrderDetailsBean>> maps) {
        this.maps = maps;
    }

    @Override
    public String toString() {
        return "AddOrderRequest{" +
                "orderId=" + orderId +
                ", rounding=" + rounding +
                ", discountId=" + discountId +
                ", maps=" + maps +
                '}';
    }
}

